Bug 39711 - WebappLoader checkInterval documentation
WebappLoader checkInterval documentation
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.17
All other
: P2 trivial (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-06-03 13:16 UTC by Stephane Bailliez
Modified: 2007-02-12 07:39 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Bailliez 2006-06-03 13:16:19 UTC
The context Loader was apparently refactored many moons ago to move the 
checkInterval into a common backgroundProcessorDelay located in ContainerBase.

The documentation still mentions the presence of checkInterval in WebappLoader.
http://tomcat.apache.org/tomcat-5.5-doc/config/loader.html

All the resources bundles in o.a.c.loader also still store the 
(standard|webapp)Loader messages.
Comment 1 Yoav Shapira 2006-06-15 19:08:27 UTC
I've updated the Loader configuration reference as you suggested -- thank you.

I have not yet updated the i18n resources: what's wrong with the bundles in the
package having the messages?
Comment 2 Takayoshi Kimura 2006-09-26 09:33:40 UTC
The backgroundProcessorDelay attribute is located in ContainerBase, so 
the attribute should be removed from the loader document (WebappLoader 
does not have such attribute). 
In addition, the "Host Container" link that in your commited code is broken.
Comment 3 Yoav Shapira 2006-12-26 16:50:41 UTC
Removed backgroundProcessorDelay from loader configuration reference.

Which Host Container link is broken?
Comment 4 Dies Koper 2006-12-30 01:59:01 UTC
(In reply to comment #3)
> Removed backgroundProcessorDelay from loader configuration reference.
> 
> Which Host Container link is broken?

Next to "backgroundProcesssorDelay" on the page at the URL mentioned in the bug
description there is a line "See the general documentation for this parameter at
Host Container.". The "Host Container" is a dead link.
Comment 5 Richard Fearn 2007-02-12 07:39:40 UTC
The backgroundProcessorDelay attribute was removed from the loader configuration
reference page in revision 490421:

http://svn.apache.org/viewvc/tomcat/container/tc5.5.x/webapps/docs/config/loader.xml?r1=440936&r2=490421&diff_format=h

This was the section that contained the broken "Host Container" link.

When the documentation at http://tomcat.apache.org/tomcat-5.5-doc/ is updated
(when Tomcat 5.5.22 is released?) this problem will be resolved.